| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | List of all members
TagLib::ASF::File Class Reference

`#include <asffile.h>`

Inheritance diagram for TagLib::ASF::File:
[legend]
Collaboration diagram for TagLib::ASF::File:
[legend]

## Public Member Functions
| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
virtual | ~File ()
virtual Tag * | tag () const
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &)
virtual Properties * | audioProperties () const
virtual bool | save ()
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()

## Static Public Member Functions
static bool | isSupported (IOStream *stream)
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)

## Additional Inherited Members
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

This implements and provides an interface for ASF files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to ASF files.

## Constructor & Destructor Documentation

## ◆ File() [1/2]

TagLib::ASF::File::File | ( | FileName | file,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs an ASF file from file.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

## ◆ File() [2/2]

TagLib::ASF::File::File | ( | IOStream * | stream,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs an ASF file from stream.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

## ◆ ~File()

virtual TagLib::ASF::File::~File | ( |  | ) |
| virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## Member Function Documentation

## ◆ audioProperties()

virtual Properties * TagLib::ASF::File::audioProperties | ( |  | ) | const
| virtual

Returns the ASF audio properties for this file.

Implements TagLib::File.

## ◆ isSupported()

static bool TagLib::ASF::File::isSupported | ( | IOStream * | stream | ) |
| static

Returns whether or not the given stream can be opened as an ASF file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

## ◆ properties()

PropertyMap TagLib::ASF::File::properties | ( |  | ) | const

Implements the unified property interface – export function.

## ◆ removeUnsupportedProperties()

void TagLib::ASF::File::removeUnsupportedProperties | ( | const StringList & | properties | ) |

Removes unsupported properties. Forwards to the actual Tag's removeUnsupportedProperties() function.

## ◆ save()

virtual bool TagLib::ASF::File::save | ( |  | ) |
| virtual

Save the file.

This returns true if the save was successful.

Implements TagLib::File.

## ◆ setProperties()

PropertyMap TagLib::ASF::File::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified property interface – import function.

## ◆ tag()

virtual Tag * TagLib::ASF::File::tag | ( |  | ) | const
| virtual

Returns a pointer to the ASF tag of the file.

ASF::Tag implements the tag interface, so this serves as the reimplementation of TagLib::File::tag().

Note
  The Tag is still owned by the ASF::File and should not be deleted by the user. It will be deleted when the file (object) is destroyed.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- asffile.h